I have an ibook g4.Can i download the newest version of mac os x (snow leopard)or is this computer outdated now?

i just got the latest itouch and i can't get it running off of my ibook g4.

Back To Product

Follow this Question

3 Answers from the Community

  • Best Answer:

    No, you can only go as far as Mac OS X 10.5 Leopard. Unsure if iTunes (probably 11) will work on Leopard in the fall, so you should think about getting a new mac.

    Was this useful? Answer 1

    44 of 60 people found this useful

  • Unfortunately, Snow Leopard will not install on a Mac with a G4 processor. The Mac must be Intel-based.

    Was this useful? Answer 2

    24 of 35 people found this useful

  • The ibook G4 will run Leopard (10.5), but not Snow Leopard (or Lion). Leopard has been maintained with security updates and the like, so it is not "outdated" yet - but this will probably change once Lion is launched.

    Depending on the specs of your ibook, you should be able to download and run the latest version of iTunes (10.3) in Leopard, which will manage your iPod Touch.

    Was this useful? Answer 3

    23 of 35 people found this useful

Related Questions